package com.ssyf.common.core.enums;

/**
 * 状态通用枚举
 * @author huwei
 * @date 2022/12/1 16:36
 */
public enum StatusCommonEnum {
    /**
     * 禁用
     */
    disabled(0),
    /**
     * 启用
     */
    enabled(1);

    private Integer value;

    StatusCommonEnum(int value){
        this.value = value;
    }

    public Integer getValue() {
        return this.value;
    }

    public static boolean isDisabled(int value){
        return StatusCommonEnum.disabled.getValue() == value;
    }

    public static boolean isEnabled(int value){
        return StatusCommonEnum.enabled.getValue() == value;
    }
}
